# Customer Session

## Endpoints

### Create a Customer Session

- [POST /v1/customer_sessions](https://docs.stripe.com/api/customer_sessions/create.md?api-version=2025-07-30.basil)

A Customer Session allows you to grant Stripe’s frontend SDKs (like Stripe.js) client-side access control over a Customer.

Related guides: [Customer Session with the Payment Element](https://docs.stripe.com/payments/accept-a-payment-deferred.md?platform=web&type=payment&api-version=2025-07-30.basil#save-payment-methods), [Customer Session with the Pricing Table](https://docs.stripe.com/payments/checkout/pricing-table.md?api-version=2025-07-30.basil#customer-session), [Customer Session with the Buy Button](https://docs.stripe.com/payment-links/buy-button.md?api-version=2025-07-30.basil#pass-an-existing-customer).
